﻿using Infragistics;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for ContourLegend.xaml
    /// </summary>
    public partial class ContourLegend : UserControl
    {
        public object LegendTitle
        {
            get { return (object)GetValue(LegendTitleProperty); }
            set { SetValue(LegendTitleProperty, value); }
        }

        // Using a DependencyProperty as the backing store for ChartTitle.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty LegendTitleProperty =
            DependencyProperty.Register("LegendTitle", typeof(object), typeof(ContourLegend), new PropertyMetadata(null));
        
        public ContourLegend()
        {
            InitializeComponent();
        }

        public void SetColors(Color[] colors)
        {
            LinearGradientBrush scaleBrush = new LinearGradientBrush() { StartPoint = new Point(0, 0), EndPoint = new Point(0, 1) };
            for (int i = 0; i < colors.Length; i++)
            {
                scaleBrush.GradientStops.Add(new GradientStop(colors[i], (double)i / (double)(colors.Length - 1)));
            }
            LegendScale.Fill = scaleBrush;
        }

        public void SetRange(double minimum, double maximum)
        {
            MinText.Text = minimum.ToString("N2");
            MaxText.Text = maximum.ToString("N2");
        }
    }
}
